Package opennlp.tools.util

## Enum DownloadUtil.ModelType

- java.lang.Object
- - java.lang.Enum<DownloadUtil.ModelType>
  - - opennlp.tools.util.DownloadUtil.ModelType

- All Implemented Interfaces:
    `Serializable`, `Comparable<DownloadUtil.ModelType>`
  Enclosing class:
    DownloadUtil

      public static enum DownloadUtil.ModelType
      extends Enum<DownloadUtil.ModelType>

  The type of model.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CHUNKER` |
    `NAME_FINDER` |
    `PARSER` |
    `POS` |
    `SENTENCE_DETECTOR` |
    `TOKENIZER` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DownloadUtil.ModelType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static DownloadUtil.ModelType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TOKENIZER

          public static final DownloadUtil.ModelType TOKENIZER

    - #### SENTENCE_DETECTOR

          public static final DownloadUtil.ModelType SENTENCE_DETECTOR

    - #### POS

          public static final DownloadUtil.ModelType POS

    - #### NAME_FINDER

          public static final DownloadUtil.ModelType NAME_FINDER

    - #### CHUNKER

          public static final DownloadUtil.ModelType CHUNKER

    - #### PARSER

          public static final DownloadUtil.ModelType PARSER

  - ### Method Detail

    - #### values

          public static DownloadUtil.ModelType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DownloadUtil.ModelType c : DownloadUtil.ModelType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DownloadUtil.ModelType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null